KRB5_IS_THREAD_SAFE(3) | Library Functions Manual | KRB5_IS_THREAD_SAFE(3)

# NAME

`krb5_is_thread_safe` —
is the Kerberos library compiled with multithread support

# LIBRARY

Kerberos 5 Library (libkrb5, -lkrb5)

# SYNOPSIS

`#include <krb5/krb5.h>`

krb5_boolean
`krb5_is_thread_safe`(void);

# DESCRIPTION

`krb5_is_thread_safe` returns `TRUE` if the library was compiled with with multithread support. If the library isn't compiled, the consumer have to use a global lock to make sure Kerboros functions are not called at the same time by different threads.

# SEE ALSO

krb5_create_checksum(3), krb5_encrypt(3)

May 5, 2006 | NetBSD 9.5